org.apache.olingo.odata2.jpa.processor.api.access

## Enum JPAJoinClause.JOIN

- java.lang.Object
- - java.lang.Enum<JPAJoinClause.JOIN>
  - - org.apache.olingo.odata2.jpa.processor.api.access.JPAJoinClause.JOIN

- All Implemented Interfaces:
    Serializable, Comparable<JPAJoinClause.JOIN>
  Enclosing class:
    JPAJoinClause

      public static enum JPAJoinClause.JOIN
      extends Enum<JPAJoinClause.JOIN>

  Enumerated list of possible Joins in JPQL
  1. LEFT - left outer join
  2. FETCH - enable fetching of an association as a side effect of the execution of a query
  3. INNER - inner join

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FETCH`
    `INNER`
    `LEFT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JPAJoinClause.JOIN` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static JPAJoinClause.JOIN[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEFT

          public static final JPAJoinClause.JOIN LEFT

    - #### FETCH

          public static final JPAJoinClause.JOIN FETCH

    - #### INNER

          public static final JPAJoinClause.JOIN INNER

  - ### Method Detail

    - #### values

          public static JPAJoinClause.JOIN[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JPAJoinClause.JOIN c : JPAJoinClause.JOIN.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JPAJoinClause.JOIN valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.